Page MenuHomePhabricator

Push messages to logstash from JS
Closed, DuplicatePublic

Description

Migrated from: https://wikimedia.mingle.thoughtworks.com/projects/multimedia/cards/127

Narrative

As a developer, I can have JS push data to logstash, so that I can track JS and application-level errors

Acceptance Criteria

  • An API endpoint should write to logstash
  • Entries in logstash should be tagged as coming from JS
  • Don't log more than one JS error/uncaught exception per pageload
  • Similarly, have a hard cap on application-level errors reports per pageload
  • Sample users, using the same technique as the navigation timing extension. We don't want a widespread error pushed by mistake to take down the logstash cluster
  • Filter out non-english browsers for JS errors. JS errors are localized, which would create a lot of noise in logstash. It might make us miss JS errors that only happen to certain languages, but the reduced noise is more important
  • This is should be committed to core. Add Bryan Davis as reviewer since logstash is his baby

Details tracked athttps://phabricator.wikimedia.org/T382

Related Bugs

Related Stories

Related Changesets

Event Timeline

MingleTerminator raised the priority of this task from to High.Dec 8 2014, 4:15 PM
MingleTerminator added a project: Multimedia.
In mingle on 2014-04-28 at 20:02:08, @Tgr wrote:

There could be some sort of hook for extensions to add more information. For example if there is an upload error in UploadWizard, we'll want to know if the user had chunked uploads enabled.

In mingle on 2014-07-21 at 17:42:50, @MarkTraceur wrote:

tgr needs to write an email about this RFC.

Gilles added a subscriber: Gilles.
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:46 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 4 2015, 6:46 PM

cc @Jhernandez as we talked about this at all hands, possibly a duplicate/old task though

Tgr added a comment.Apr 10 2019, 11:16 PM

Like most Mingle tasks this is mostly useless and was just created to track a phab ticket on a Mingle board. The useful part was T382: RfC: Server-side Javascript error logging and more specifically T502: Create WMF endpoint for error logging - part 2 (consumer).